/**
 * Base.Print 1.0
 *
 * Requiere
 *     Base 1.0
 */
$(function() {

    $.extend(Base, {
        Print : {

            //Los Datos debende vernir en un Json {id: '', label : ''}
            print: function (printable, options) {

                var _i18n = {
                    language: {}
                };


                if(null == options || options  == undefined){
                    options = {};
                }

                _i18n = $.extend(true, _i18n, Base.i18n.print);

                if (options._i18n !== undefined && options._i18n != null) {
                    _i18n = $.extend(true, _i18n, options._i18n);
                }


                var defaultOptions = {
                    printable: printable,
                    type: 'pdf',
                    showModal: true,
                    modalMessage: 'Cargando archivo ...',
                    properties: {mumCopies: 1}
                };

                var finallyOptions = $.extend(true, defaultOptions, options);

                printJS(finallyOptions);
            },

            _qxPrint : function (print) {

                return {

                    ver : function () {

                        console.log("Base.Print 1.0");
                        console.log("Requiere: Base 1.0");
                    }
                }
            }
        }
    });

    $.fn.QxPrint = function () {

        var print = this;

        return Base.Modal._qxPrint(print);
    }
});